Subject: bug#55388: 28.1; New libraries that neither belong to a package nor provide a feature

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Jun 2022 07:35:34 -0400

>> Jonas Bernoulli <[email-masked]> writes:
>>> "lisp/emacs-lisp/shorthands.el" doesn't provide a feature and lacks
>>> a "Package" library header.  I think "Package: emacs" should be added.
> The same is true for smie.el, syntax.el, tabulated-list.el, testcover.el
> and possibly others.

Hmm... smie.el, syntax.el, and tabulated-list.el do `provide`
themselves, AFAICT.  Indeed it seems to be missing from `testcover.el`.

> Should they have such a header as well?
[...]
> It seems like it's not consistent.  What do we use such a header for?

IIRC the question is whether we want to present these files as "a
package" or as "a file part of some other package" in things like
the finder.

        Stefan